# WOK
TKWOK
WOKernel

# WOKernel_UnitTypeDescr Class Reference

`#include <WOKernel_UnitTypeDescr.hxx>`

## Public Member Functions

Standard_EXPORT | WOKernel_UnitTypeDescr (const Standard_Character akey, const Handle(TCollection_HAsciiString)&atype)
Standard_Character | Key () const
const Handle_TCollection_HAsciiString & | Type () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Character | mykey
Handle_TCollection_HAsciiString | mytype

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_UnitTypeDescr::WOKernel_UnitTypeDescr | ( | const Standard_Character | akey,
|  | const Handle(TCollection_HAsciiString)& | atype
| ) |

## Member Function Documentation

Standard_EXPORT const WOKernel_UnitTypeDescr::Handle | ( | Standard_Type |  | ) | const

Standard_Character WOKernel_UnitTypeDescr::Key | ( |  | ) | const`[inline]`

const Handle_TCollection_HAsciiString& WOKernel_UnitTypeDescr::Type | ( |  | ) | const

## Field Documentation

Standard_Character WOKernel_UnitTypeDescr::mykey `[private]`

Handle_TCollection_HAsciiString WOKernel_UnitTypeDescr::mytype `[private]`

The documentation for this class was generated from the following files:

- WOKernel_UnitTypeDescr.hxx
- WOKernel_UnitTypeDescr.lxx